package cn.superdesk.uniorder.dubbo.facade.sys.role;

import cn.superdesk.uniorder.dto.vo.sys.role.ViewMenuTree;
import cn.superdesk.uniorder.dto.vo.sys.role.ViewRoleMenu;

import java.util.List;


public interface DubboSysMenuService {

	List<ViewMenuTree> getTreeById(Long id);

	List<ViewMenuTree> getTreeByUserId(Long userId);

	List<ViewMenuTree> getTreeByRoleId(Long roleId);

	List<ViewRoleMenu> getDataByUser(Long parseLong);
}
